/*
 * $Id: ouidb.c,v 1.1 2005/02/25 03:21:44 kos Exp $
 *
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <string.h>

#include "ouidb.h"
#include "pre.h"

#define OUIDB_NOTFOUND "Unknown"

unsigned char *
ouidb_get_vendor(unsigned char *mac, unsigned char *out, int len) {
  vendor_maclist_t *p;
  int i;

  for(i=0; vendor_maclist[i].vendor; i++) {
    p = &vendor_maclist[i];
    if(!strncasecmp(vendor_maclist[i].mac_prefix, mac, 
		    strlen(vendor_maclist[i].mac_prefix) )) {
      if(out)
	strncpy(out, vendor_maclist[i].vendor, len);
      return vendor_maclist[i].vendor;
    }
  }

  if(out)
    strncpy(out, OUIDB_NOTFOUND, len);
  return OUIDB_NOTFOUND;
}

unsigned char *
ouidb_date(void) {
  return OUI_DATE;
}

